package xyz.apiote.bimba.czwek.repo

import xyz.apiote.bimba.czwek.api.ColourV1

data class Colour(val R: UByte, val G: UByte, val B: UByte) {
	constructor(c: ColourV1) : this(c.R, c.G, c.B)

	fun toInt(): Int {
		var rgb = 0xff
		rgb = (rgb shl 8) + R.toInt()
		rgb = (rgb shl 8) + G.toInt()
		rgb = (rgb shl 8) + B.toInt()
		return rgb
	}
}